- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Constraint Class Reference

The in-memory representation of the <con> element. More...

`#include <OSInstance.h>`

Collaboration diagram for Constraint:

[legend]
List of all members.

## Public Member Functions
| Constraint ()
| The Constraint class constructor.
| ~Constraint ()
| The Constraint class destructor.
bool | IsEqual (Constraint *that)
| A function to check for the equality of two objects.
| Constraint ()
| The Constraint class constructor.
| ~Constraint ()
| The Constraint class destructor.
## Public Attributes
std::string | name
| name is the name of the constraint
double | constant
| constant is a value that is added to the constraint
double | lb
| lb is the lower bound on the constraint
double | ub
| ub is the upper bound on the constraint

## Detailed Description

The in-memory representation of the <con> element.

Definition at line 247 of file OSInstance.h.

## Constructor & Destructor Documentation

Constraint::Constraint | ( |  | ) |

The Constraint class constructor.

Definition at line 526 of file OSInstance.cpp.

Constraint::~Constraint | ( |  | ) |

The Constraint class destructor.

Definition at line 538 of file OSInstance.cpp.

Constraint::Constraint | ( |  | ) |

The Constraint class constructor.

Constraint::~Constraint | ( |  | ) |

The Constraint class destructor.

## Member Function Documentation

bool Constraint::IsEqual | ( | Constraint * | that | ) |

A function to check for the equality of two objects.

Definition at line 5211 of file OSInstance.cpp.

References constant, lb, name, and ub.

## Member Data Documentation

std::string Constraint::name

name is the name of the constraint

Definition at line 257 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processConstraints().

double Constraint::constant

constant is a value that is added to the constraint

Definition at line 260 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processConstraints().

double Constraint::lb

lb is the lower bound on the constraint

Definition at line 263 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processConstraints().

double Constraint::ub

ub is the upper bound on the constraint

Definition at line 266 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processConstraints().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp